CDCONTROL(1)

NAME
cdcontrol - compact disc control utility

SYNOPSIS
cdcontrol [-s] [-v] [-f discname] [command args...]

DESCRIPTION
cdcontrol is a program to control audio features of a CD drive. The device is a name such as cd0 or mcd0.

If the device not specified, the environment variable DISC will be used to find the cd device.

If no command is given, then cdcontrol enters an interactive mode, reading commands from the standard input.

The following options are available:

-s  Silent mode - do not print table headers and human readable comments.

-v  Verbose mode - print as much information as possible.

-f discname
    Specifies a device name, such as /dev/cd0c or mcd0. Both absolute path and relative to /dev filename are possible. Suffix `c' is added to the device name if needed.

The available commands are listed below. Only as many characters as are required to uniquely identify a command need be specified.

play [first_track [last_track]]
    Play from track first_track to track last_track. The first track has number 1.

play start_m:start_s.start_f [end_m:end_s.end_f]
    Play from the absolute address (MSF) defined by start_m in minutes, start_s, in seconds and start_f (frame number) to the absolute address defined by end_m in minutes, end_s, in seconds and end_f (frame number). Minutes are in the range 0-99. Seconds are in the range 0-59. Frame numbers are in the range 0-74.

play #start_block [length]
    Play starting from the logical block start_block using length logical blocks.

pause
    Stop playing. Do not stop the disc.

resume
    Resume playing. Used after the pause command.

stop
    Stop the disc.

eject
    Eject the disc.

volume left_channel right_channel
    Set the volume of left channel to left_channel and the volume of right channel to right_channel. Allowed values are in the range 0-255.

volume mute
    Turn the sound off.

volume mono
    Set the mono mode.

volume stereo
    Set the stereo mode.

volume left
    Play the left subtrack on both left and right channels.

volume right
    Play the right subtrack on both left and right channels.

info
    Print the information about the disc: the current playing status and position, the current values of the volume for left and right channels, and the table of contents.

help
    Print the list of available commands.

debug on
    Enable the debugging mode of the CD device driver.

debug off
    Disable the driver debugging mode.

debug reset
    Perform the hardware reset of the device.

quit
    Quit the program.

FILES
/dev/rcd0c
/dev/rmcd0c
/dev/rwcd0c

AUTHORS
Jean-Marc Zucconi, Andrew A. Chernov, Serge V. Vakulenko

HISTORY
The cdcontrol command appeared in FreeBSD 2.1